Subject: bug#62334: Network is unreachable only for recursive pypi import

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 24 Mar 2023 08:19:29 -0400

Hi,

Josselin Poiret <[email-masked]> writes:

> Hi Greg,
>
> Greg Hogan <[email-masked]> writes:
>
>> The following package import fails when importing the dependency, but
>> succeeds when directly importing that dependency. I can also manually
>> download the tar without issue.
>
> I cannot reproduce on my side :( were you able to reproduce this
> multiple times?  Can you still reproduce it now?
>
> Best,

I can't reproduce it either, so it seems a genuine network error on your
side.

What we should do though is catch it and report it nicely, instead of
crashing.

-- 
Thanks,
Maxim